Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	1.9.4
Release:	%mkrel 2
License:	GPLv3+
Group:		Accessibility
URL:		http://www.workrave.org/
Source0:	http://prdownloads.sourceforge.net/workrave/%{name}-%{version}.tar.gz
Source1:	workwave-1.9.4-ru.po
BuildRequires:	doxygen
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	python-cheetah
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdkmm-2.4)
BuildRequires:	pkgconfig(gnet-2.0)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(libgnomeuimm-2.6)
BuildRequires:	pkgconfig(libpanelapplet-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(xmu)

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

%package	gnome-applet
Summary:	Workrave GNOME applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-applet <= 1.6.2

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%prep
%setup -q
touch ChangeLog
rm -f po/ru.po
cp %{SOURCE1} po/ru.po

%build
%configure2_5x \
	--enable-app-text=no	\
	--enable-distribution=yes \
	--enable-gconf=yes	\
	--enable-dbus=yes	\
	--disable-rpath		\
	--disable-xml \
	--enable-gnome \
	--disable-kde
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/sounds/%{name}
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_iconsdir}/hicolor/*/apps/%{name}*

%files gnome-applet
%doc COPYING
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/workrave-applet
%{_datadir}/gnome-2.0/ui/*.xml


%changelog
* Thu Jul 19 2012 Andrey Bondrov <abondrov@mandriva.org> 1.9.4-2mdv2010.1
+ Revision: 810288
- New version 1.9.4, fix russian translation, drop custom menu, convert BR to pkgconfig style

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.9.3-1
+ Revision: 645489
- update to new version 1.9.3

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 575013
- BR pulseaudio
- BR python-cheetah
- new version 1.9.2

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 554423
- add fedora patch to make it build
- new version 1.9.1

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 1.9.0-3mdv2010.1
+ Revision: 541462
- fix desktop file

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 1.9.0-2mdv2010.1
+ Revision: 541318
- build with gcc4.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Apr 17 2009 Funda Wang <fwang@mandriva.org> 1.9.0-1mdv2009.1
+ Revision: 367825
- fix  BR

  + Emmanuel Andry <eandry@mandriva.org>
    - disable kde for now

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use kde macros for configure
      Add patch to fix kde build

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.9.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Oct 28 2007 Jérôme Soyer <saispo@mandriva.org> 1.8.5-1mdv2008.1
+ Revision: 102786
- New release 1.8.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-2mdv2007.0
- Rebuild with latest dbus
- migrate menu

* Mon May 15 2006 Jerome Soyer <saispo@mandriva.org> 1.8.3-1mdk
- New release 1.8.3

* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-3
- Fix compile under x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-2
- Don't remove file when we don't like them... Fix bug #19503
- Fix configure test, I don't know how it could work.

* Fri Jul 22 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New version
- Rename "applet" subpackage to "gnome-applet" since KDE support
  is also available now
- Remove distributed info (gnet2) build option, always turn it on
- Enable GNOME/KDE applet by default
- Use bundled icon

* Sat Feb 12 2005 Abel Cheung <deaddog@mandrake.org> 1.6.2-1mdk
- New version

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- drop P0

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-2mdk
- Rebuild

* Fri Nov 07 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- 1.4.1
- Patch0: Add missing include, to fix compilation against newest gtkmm

